package com.heyu.api.data.dao.calca;
/**
* <p>
* account数据变更表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaAccountLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.CountDistinct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CalcaAccountLogDao extends BaseMapper<CalcaAccountLogEntity> {


	CalcaAccountLogEntity selectCalcaAccountLogById(@Param("id")Long id);


	Long insertCalcaAccountLog(CalcaAccountLogEntity calcaAccountLog);


	Long insertOrUpdateCalcaAccountLog(CalcaAccountLogEntity calcaAccountLog);


	int updateCalcaAccountLogById(CalcaAccountLogEntity calcaAccountLog);


	int updateCoverCalcaAccountLogById(CalcaAccountLogEntity calcaAccountLog);


	int deleteCalcaAccountLogById(@Param("id")Long id);


	List<String> selectCalcaAccountLogByYYYYMMDD(@Param("yyyyMMdd") String yyyyMMdd);
}